Skip to main content
GET
/
api
/
v1
/
traces
/
{trace_id}
Get Trace Endpoint
curl --request GET \
  --url https://platform.composo.ai/api/v1/traces/{trace_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "tags": {},
  "rating": true,
  "trace": {},
  "comments": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "comment": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "evaluations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "evaluator_name": "<string>",
      "score": 123,
      "explanation": "<string>",
      "sub_trace": {},
      "criteria": "<string>",
      "sources": [
        {
          "id": "<string>",
          "type": "<string>"
        }
      ],
      "cached": true,
      "c_cached_tokens": 123
    }
  ]
}

Path Parameters

trace_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
tags
Tags · object
required
rating
boolean | null
required
trace
Trace · object
required
comments
AttachCommentResponse · object[]
required
evaluations
TraceEvaluation · object[]
required